package com.factory.mapper.ini;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.factory.base.entity.po.benteler.BentelerIniCheckItem;
import com.factory.base.entity.po.benteler.BentelerIniVersion;
import com.factory.base.entity.po.benteler.BentelerIniVersionItem;
import com.factory.entity.vo.req.pad.GetVersionCheckItemReq;
import com.factory.entity.vo.req.web.PlanListReq;
import com.factory.entity.vo.res.pad.ini.getNowCheckStatusRes;
import com.factory.entity.vo.res.web.ini.PagePlanRes;
import com.factory.entity.vo.res.web.ini.unAuditListRes;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 计划 - 版本信息
 * 
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2021-06-26 12:35:17
 */
@Mapper
public interface BentelerIniVersionMapper extends BaseMapper<BentelerIniVersion> {

    Page<PagePlanRes> planlist(@Param("page") Page<PagePlanRes> page,
                               @Param("name") String name,
                               @Param("CheckStatus") Integer checkStatus);

    Page<unAuditListRes> unAuditList(@Param("req") PlanListReq req);




    BentelerIniVersion getCurrentVersion(@Param("planId") Long planId);
    BentelerIniVersion getUnAuditVersion(@Param("planId") Long planId);
    BentelerIniVersion getWaitAuditVersion(@Param("planId") Long planId);



    BentelerIniVersionItem getVersionItem(@Param("versionId") Long versionId);

    List<getNowCheckStatusRes> getNowCheckStatus(@Param("checkStatus") Integer checkStatus);

    List<BentelerIniCheckItem> getVersionCheckItem(@Param("req") GetVersionCheckItemReq req);


    //BentelerIniVersionItem getPlanCurrentVersionId(@Param("planId") Long planId);
}
