package com.factory.service.ini;

import com.factory.base.entity.aggregates.PageBean;
import com.factory.base.entity.aggregates.ResponseBean;
import com.factory.base.entity.po.benteler.BentelerIniVersion;
import com.baomidou.mybatisplus.extension.service.IService;
import com.factory.base.entity.vo.req.BaseIdReq;
import com.factory.base.entity.vo.req.BasePageIdReq;
import com.factory.base.entity.vo.req.BaseTypeReq;
import com.factory.entity.vo.req.pad.workDetailsReq;
import com.factory.entity.vo.req.web.AddIniPlanReq;
import com.factory.entity.vo.req.web.BooleanReq;
import com.factory.entity.vo.req.web.PlanListReq;
import com.factory.entity.vo.res.pad.ini.planlistRes;
import com.factory.entity.vo.res.pad.ini.workDetailsRes;
import com.factory.entity.vo.res.pad.ini.workTypeDetailsRes;
import com.factory.entity.vo.res.web.ini.GetVersionBaseRes;
import com.factory.entity.vo.res.web.ini.GetVersionHistoryRes;
import com.factory.entity.vo.res.web.ini.PagePlanRes;
import com.factory.entity.vo.res.web.ini.unAuditListRes;

import java.util.List;

/**
 * 计划 - 版本信息
 *
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2021-06-26 12:35:17
 */
public interface BentelerIniVersionService extends IService<BentelerIniVersion> {

    ResponseBean<PageBean<PagePlanRes>> planlist(PlanListReq req);

    ResponseBean addIniPlan(AddIniPlanReq req);

    ResponseBean disablePlan(BooleanReq req);

    ResponseBean<PageBean<unAuditListRes>> unAuditList(PlanListReq req);

    ResponseBean<GetVersionBaseRes> getVersionBase(BaseIdReq req);

    ResponseBean<AddIniPlanReq> getUnAuditDetails(BaseIdReq req);

    ResponseBean<AddIniPlanReq> getCurrentDetails(BaseIdReq req);

    ResponseBean addIniVersion(AddIniPlanReq req);

    ResponseBean<Boolean> getIsUnAuditVersionId(BaseIdReq req);

    ResponseBean<PageBean<GetVersionHistoryRes>> historyVersion(BasePageIdReq req);

    ResponseBean<planlistRes> planPadlist();

    ResponseBean<List<workDetailsRes>> workDetails(BaseTypeReq req);

    ResponseBean<workTypeDetailsRes> workTypeDetails(workDetailsReq req);
}

